tigase.xmpp

## Class ProcessorFactory

- java.lang.Object
- - tigase.xmpp.ProcessorFactory

-     @TODO(note="Make loading processors configurable: exclude specific classes, turn-off automatic loading and include specific classes. In all cases checking agains XMPPProcessor compatibility should be performed.")
      public class ProcessorFactory
      extends Object

  `ProcessorFactory` class contains functionality to load and provide all classes which are `XMPPProcessor` extensions (not abstract extensions) available in classpath. These extensions are normally used for processing data transfered between XMPP entities.
  It automatically loads and provides all available processors unless configuration says to behave differently. You can for example exclude in configuration some processors from loading or even you can turn off automatic loading processors and provide explicity names of classes which should be loaded as XMPP processors. In all cases loaded classes ae checked whether they are `XMPPProcessor` extensions, because only those classes can be used as processors.

  Created: Tue Oct 5 20:45:33 2004

  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XMPPPacketFilterIfc` | `getPacketFilter(String id)` Method description
    `static XMPPPostprocessorIfc` | `getPostprocessor(String id)` Method description
    `static XMPPPreprocessorIfc` | `getPreprocessor(String id)` Method description
    `static XMPPProcessorIfc` | `getProcessor(String id)` Method description
    `static XMPPStopListenerIfc` | `getStopListener(String id)` Method description
    `static boolean` | `hasImplementation(String id)` Check if plugin implementation is in server jar

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPacketFilter

          public static XMPPPacketFilterIfc getPacketFilter(String id)

      Method description
      Parameters:
        `id` -
      Returns:

    - #### getPostprocessor

          public static XMPPPostprocessorIfc getPostprocessor(String id)

      Method description
      Parameters:
        `id` -
      Returns:

    - #### getPreprocessor

          public static XMPPPreprocessorIfc getPreprocessor(String id)

      Method description
      Parameters:
        `id` -
      Returns:

    - #### getProcessor

          public static XMPPProcessorIfc getProcessor(String id)

      Method description
      Parameters:
        `id` -
      Returns:

    - #### getStopListener

          public static XMPPStopListenerIfc getStopListener(String id)

      Method description
      Parameters:
        `id` -
      Returns:

    - #### hasImplementation

          public static boolean hasImplementation(String id)

      Check if plugin implementation is in server jar
      Parameters:
        `id` -
      Returns:

Copyright © 2013 Tigase. All rights reserved.